Subject: bug#78946: 30.1; accept-process-output not allowed in threads on macOS

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Jul 2025 09:21:22 +0300

> From: John Wiegley <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 03 Jul 2025 10:24:44 -0700
> 
> >>>>> Eli Zaretskii <[email-masked]> writes:
> 
> >> If you now attempt to evaluate this code in a graphical Emacs running on
> >> macOS, it will immediately stall out. Running Emacs under lldb shows that it
> >> is reporting the following exception continuously:
> 
> > Please elaborate on "will immediately stall". Does it mean it will not "run
> > forever" as in batch mode? If so, what will it do instead?
> 
> By stall I mean it shows a “spinning cursor of death” and will never recover.

What does it mean in terms of what the Emacs threads do at that time?
I don't think I understand that from the fact that you see that
spinning cursor.  Does Apple document when it is shown?